Description

Hello Ben, Chris,

| was trying to update two data and metadata files for some old subtidal data today and ran into a problem. The two new data files
updated without issue. The two metadata files did not update with a permissions error...this was the problem we discussed in
February and, at that time, Chris manually set up a link between PISCO LDAP data-managers and CILOGON
PISCO-data-managers. That link apparently didn’t work today. So, for the second try for the metadata files | used Matt's suggestion
of using the Member Node certificate: ‘urn:node:PISCO.pem’. That didn’t work the first time with a ‘no session has been provided’
error. | figured out that was a file permission error on the cert and fixed that and tried it again. This time the error was ‘the previous
identifier has already been made obsolete by <the file | am trying to load> and it didn’t load. It appears the first update call updated
the ‘obsoletedBy’ field for the old guid but didn’t load the new metadata. I'm wondering what you think the best way to fix this would
be?

The metadata files are:

pisco_subtidal.70.4 (old) and pisco_subtidal.70.5 (new..not loaded)
pisco_subtidal.80.5 (old) and pisco_subtidal.80.6 (new..not loaded)

This shows pisco_subtidal.70.4 with obsoletedBy set to pisco_subtidal.70.5 which is not loaded (no object or meta):
https://data.piscoweb.org/catalog/d1/mn/vi/meta/doi:10.6085/AA/pisco_subtidal.70.4

<dl:systemMetadata xmlns:dl="http://ns.dataone.org/service/types/v1">
<serialVersion>2</serialVersion>
<identifier>doi:10.6085/AA/pisco_subtidal.70.4</identifier>
<formatId>eml://ecoinformatics.org/eml-2.0.1</formatId>
<size>27188</size>

<checksum algorithm="MD5">8c17d5bc327f04d6803e5241872fa85c</checksum>
<submitter>uid=cjones, 0=PISCO,dc=ecoinformatics,dc=org</submitter>
<rightsHolder>uid=subtidal, o=PISCO,dc=ecoinformatics, dc=org</rightsHolder>
<accessPolicy>

<allow>

<subject>public</subject>

<permission>read</permission>

</allow>

<allow>

<subject>

cn=data-managers, o=PISCOGROUPS, dc=ecoinformatics, dc=org

</subject>

<permission>read</permission>

<permission>write</permission>
<permission>changePermission</permission>

</allow>

</accessPolicy>

<replicationPolicy replicationAllowed="false"/>
<obsoletes>doi:10.6085/AA/pisco_subtidal.70.3</obsoletes>
<obsoletedBy>doi:10.6085/AA/pisco_subtidal.70.5</obsoletedBy>
<archived>false</archived>
<dateUploaded>2007-05-08T23:00:00.000+00:00</dateUploaded>
<dateSysMetadataModified>2013-09-24T17:18:13.620+00:00</dateSysMetadataModified>
<originMemberNode>urn:node:PISCO</originMemberNode>
<authoritativeMemberNode>urn:node:PISCO</authoritativeMemberNode>
<replica>

<replicaMemberNode>urn:node:PISCO</replicaMemberNode>
<replicationStatus>completed</replicationStatus>
<replicaVerified>2012-08-25T00:00:00.000+00:00</replicaverified>
</replica>

<replica>

<replicaMemberNode>urn:node:CN</replicaMemberNode>
<replicationStatus>completed</replicationStatus>
<replicaVerified>2012-08-25T00:00:00.000+00:00</replicaVerified>
</replica>

</dl:systemMetadata>

https://data.piscoweb.org/catalog/d1/mn/v1/meta/doi:10.6085/AA/pisco_subtidal.70.5

<error detailCode="1800" errorCode="404" name="NotFound">

<description>

No system metadata could be found for given PID: doi:10.6085/AA/pisco_subtidal.70.5
</description>

</error>

History

#1 - 09/24/2013 04:17 PM - ben leinfelder
- Description updated

- Assignee set to ben leinfelder

#2 - 09/24/2013 04:34 PM - ben leinfelder

- Status changed from New to Closed

Moved the call "existingSysMeta.setObsoletedBy(newPid);" to after the insert/update in Metacat is called.
